Name:		x2goldaptools
Version:	2.0.1
Release:	%mkrel 1
License:	GPL
Group:		Networking/Remote access
Summary:	LDAPtools for the x2go server
Url:		http://www.x2go.org/
Source0:	%{name}_%version.orig.tar.gz
Source1:	ldap.passwd
Source2:	ldap.passwd2
Patch0:		%{name}_%{version}-8.diff.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
These are the LDAPtools for the x2go server.

%prep
%setup -q -n %{name}-%{version}.orig
%patch0 -p1

%build

%install
rm -rf %{buildroot}
mkdir -p %buildroot%{_sbindir}
mkdir -p %buildroot%{_datadir}/doc/x2goldaptools
mkdir -p %buildroot%{_datadir}/x2goldaptools/config
mkdir -p %buildroot%{_datadir}/x2goldaptools/script
install -Dm 755 tools/* %buildroot/%_sbindir/
install -Dm 644 README %buildroot/%_datadir/doc/x2goldaptools/
install -D files/genconf %buildroot/%_datadir/x2goldaptools/config/
cp -R files/etc.orig %buildroot/%_datadir/x2goldaptools/config/
install -D utils/* %buildroot/%_datadir/x2goldaptools/script/
install -D %SOURCE1 %buildroot/%_bindir/ldap.passwd
install -D %SOURCE2 %buildroot/%_bindir/ldap.passwd2

%clean
rm -rf %{buildroot}

%files
%{_bindir}/*
%{_sbindir}/*
%doc %{_datadir}/doc/x2goldaptools
%{_datadir}/x2goldaptools

%changelog
* Sat Feb 07 2009 Oliver Burger <rpm@mandrivauser.de> 2.0.1-1mud2009.0
- rebuild for 2009.0

* Fri Jul 18 2008 Oliver Burger <rpm@mandrivauser.de> 2.0.1-2mud2008.1
- Rebuild with lenny-packages

* Thu Jul 17 2008 Oliver Burger <rpm@mandrivauser.de> 2.0.1-1mud2008.1
- initial package for Mandrivalinux 2008.1
